Bug 1018190 - authconfig / sssd.conf: "dns_discovery_domain" issue
authconfig / sssd.conf: "dns_discovery_domain" issue
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 08:03 EDT by guillard
Modified: 2016-07-19 15:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:27:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1018189 None None None Never

  None (edit)
Description guillard 2013-10-11 08:03:16 EDT
Description of problem:
if sssd uses dns discovery to look for ldap servers, then
the DNS zone to query for ldap server is specified with
the parameter "dns_discovery_domain" in sssd.conf, and the
parameter "ldap_uri" should not be declared.

If "dns_discovery_domain" is specified in sssd.conf, then
the configuration script 'authconfig' should not insert an
"ldap_uri"in sssd.conf, which it does.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. edit sssd.conf and declare a "dns_discovery_domain" domaine

2. launch "authconfig" with apropriate flags: --ldapserver="ldap.example.com" --enableshadow  --enablesssd --enablesssdauth --enableldap --enableldapauth --updateall

3. "ldap_uri"

Actual results:

the following line has been added to sssd.conf :

ldap_uri = ldap.example.com

Expected results:

this line should not be inserted to sssd.conf

Additional info:

After tshark investigations, it sounds like when both "ldap_uri" and "dns_discovery_domain" are declared in sssd.conf, then sssd uses ldap servers declared in "ldap_uri" server rather than querying the dns to look for the relevant ldap server to work with.
Comment 1 Jaroslav Reznik 2015-03-03 10:08:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 15:27:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.